diff --git a/src/test/isolation/expected/fk-deadlock.out b/src/test/isolation/expected/fk-deadlock.out
index 6b6ee16..0d86cda 100644
*** a/src/test/isolation/expected/fk-deadlock.out
--- b/src/test/isolation/expected/fk-deadlock.out
***************
*** 32,39 **** step s1i:  INSERT INTO child VALUES (1, 1);
  step s2i:  INSERT INTO child VALUES (2, 1); 
  step s2u:  UPDATE parent SET aux = 'baz';  <waiting ...>
  step s1u:  UPDATE parent SET aux = 'bar'; 
- step s2u: <... completed>
  ERROR:  deadlock detected
  step s2c:  COMMIT; 
  step s1c:  COMMIT; 
  
--- 32,39 ----
  step s2i:  INSERT INTO child VALUES (2, 1); 
  step s2u:  UPDATE parent SET aux = 'baz';  <waiting ...>
  step s1u:  UPDATE parent SET aux = 'bar'; 
  ERROR:  deadlock detected
+ step s2u: <... completed>
  step s2c:  COMMIT; 
  step s1c:  COMMIT; 
  
***************
*** 52,59 **** step s2i:  INSERT INTO child VALUES (2, 1);
  step s1i:  INSERT INTO child VALUES (1, 1); 
  step s2u:  UPDATE parent SET aux = 'baz';  <waiting ...>
  step s1u:  UPDATE parent SET aux = 'bar'; 
- step s2u: <... completed>
  ERROR:  deadlock detected
  step s2c:  COMMIT; 
  step s1c:  COMMIT; 
  
--- 52,59 ----
  step s1i:  INSERT INTO child VALUES (1, 1); 
  step s2u:  UPDATE parent SET aux = 'baz';  <waiting ...>
  step s1u:  UPDATE parent SET aux = 'bar'; 
  ERROR:  deadlock detected
+ step s2u: <... completed>
  step s2c:  COMMIT; 
  step s1c:  COMMIT; 
  
diff --git a/src/test/isolation/expected/fk-deadloindex af3ce8e..6e7f12d 100644
*** a/src/test/isolation/expected/fk-deadlock2.out
--- b/src/test/isolation/expected/fk-deadlock2.out
***************
*** 42,49 **** step s1u1:  UPDATE A SET Col1 = 1 WHERE AID = 1;
  step s2u1:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
  step s2u2:  UPDATE B SET Col2 = 1 WHERE BID = 2;  <waiting ...>
  step s1u2:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
- step s2u2: <... completed>
  ERROR:  deadlock detected
  step s1c:  COMMIT; 
  step s2c:  COMMIT; 
  
--- 42,49 ----
  step s2u1:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
  step s2u2:  UPDATE B SET Col2 = 1 WHERE BID = 2;  <waiting ...>
  step s1u2:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
  ERROR:  deadlock detected
+ step s2u2: <... completed>
  step s1c:  COMMIT; 
  step s2c:  COMMIT; 
  
***************
*** 52,59 **** step s1u1:  UPDATE A SET Col1 = 1 WHERE AID = 1;
  step s2u1:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
  step s2u2:  UPDATE B SET Col2 = 1 WHERE BID = 2;  <waiting ...>
  step s1u2:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
- step s2u2: <... completed>
  ERROR:  deadlock detected
  step s2c:  COMMIT; 
  step s1c:  COMMIT; 
  
--- 52,59 ----
  step s2u1:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
  step s2u2:  UPDATE B SET Col2 = 1 WHERE BID = 2;  <waiting ...>
  step s1u2:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
  ERROR:  deadlock detected
+ step s2u2: <... completed>
  step s2c:  COMMIT; 
  step s1c:  COMMIT; 
  
***************
*** 82,89 **** step s2u1:  UPDATE B SET Col2 = 1 WHERE BID = 2;
  step s1u1:  UPDATE A SET Col1 = 1 WHERE AID = 1; 
  step s2u2:  UPDATE B SET Col2 = 1 WHERE BID = 2;  <waiting ...>
  step s1u2:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
- step s2u2: <... completed>
  ERROR:  deadlock detected
  step s1c:  COMMIT; 
  step s2c:  COMMIT; 
  
--- 82,89 ----
  step s1u1:  UPDATE A SET Col1 = 1 WHERE AID = 1; 
  step s2u2:  UPDATE B SET Col2 = 1 WHERE BID = 2;  <waiting ...>
  step s1u2:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
  ERROR:  deadlock detected
+ step s2u2: <... completed>
  step s1c:  COMMIT; 
  step s2c:  COMMIT; 
  
***************
*** 92,99 **** step s2u1:  UPDATE B SET Col2 = 1 WHERE BID = 2;
  step s1u1:  UPDATE A SET Col1 = 1 WHERE AID = 1; 
  step s2u2:  UPDATE B SET Col2 = 1 WHERE BID = 2;  <waiting ...>
  step s1u2:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
- step s2u2: <... completed>
  ERROR:  deadlock detected
  step s2c:  COMMIT; 
  step s1c:  COMMIT; 
  
--- 92,99 ----
  step s1u1:  UPDATE A SET Col1 = 1 WHERE AID = 1; 
  step s2u2:  UPDATE B SET Col2 = 1 WHERE BID = 2;  <waiting ...>
  step s1u2:  UPDATE B SET Col2 = 1 WHERE BID = 2; 
  ERROR:  deadlock detected
+ step s2u2: <... completed>
  step s2c:  COMMIT; 
  step s1c:  COMMIT; 
  
diff --git a/src/test/isolation/specs/fk-deadlock.sindex 530cf10..b533d77 100644
*** a/src/test/isolation/specs/fk-deadlock.spec
--- b/src/test/isolation/specs/fk-deadlock.spec
***************
*** 19,31 **** teardown
  }
  
  session "s1"
! setup		{ BEGIN; }
  step "s1i"	{ INSERT INTO child VALUES (1, 1); }
  step "s1u"	{ UPDATE parent SET aux = 'bar'; }
  step "s1c"	{ COMMIT; }
  
  session "s2"
! setup		{ BEGIN; }
  step "s2i"	{ INSERT INTO child VALUES (2, 1); }
  step "s2u"	{ UPDATE parent SET aux = 'baz'; }
  step "s2c"	{ COMMIT; }
--- 19,31 ----
  }
  
  session "s1"
! setup		{ BEGIN; SET deadlock_timeout = '20ms'; }
  step "s1i"	{ INSERT INTO child VALUES (1, 1); }
  step "s1u"	{ UPDATE parent SET aux = 'bar'; }
  step "s1c"	{ COMMIT; }
  
  session "s2"
! setup		{ BEGIN; SET deadlock_timeout = '10s'; }
  step "s2i"	{ INSERT INTO child VALUES (2, 1); }
  step "s2u"	{ UPDATE parent SET aux = 'baz'; }
  step "s2c"	{ COMMIT; }
diff --git a/src/test/isolation/specs/fk-deadlocindex 91a87d1..5653628 100644
*** a/src/test/isolation/specs/fk-deadlock2.spec
--- b/src/test/isolation/specs/fk-deadlock2.spec
***************
*** 24,36 **** teardown
  }
  
  session "s1"
! setup		{ BEGIN; }
  step "s1u1"	{ UPDATE A SET Col1 = 1 WHERE AID = 1; }
  step "s1u2"	{ UPDATE B SET Col2 = 1 WHERE BID = 2; }
  step "s1c"	{ COMMIT; }
  
  session "s2"
! setup		{ BEGIN; }
  step "s2u1"	{ UPDATE B SET Col2 = 1 WHERE BID = 2; }
  step "s2u2"	{ UPDATE B SET Col2 = 1 WHERE BID = 2; }
  step "s2c"	{ COMMIT; }
--- 24,36 ----
  }
  
  session "s1"
! setup		{ BEGIN; SET deadlock_timeout = '20ms'; }
  step "s1u1"	{ UPDATE A SET Col1 = 1 WHERE AID = 1; }
  step "s1u2"	{ UPDATE B SET Col2 = 1 WHERE BID = 2; }
  step "s1c"	{ COMMIT; }
  
  session "s2"
! setup		{ BEGIN; SET deadlock_timeout = '10s'; }
  step "s2u1"	{ UPDATE B SET Col2 = 1 WHERE BID = 2; }
  step "s2u2"	{ UPDATE B SET Col2 = 1 WHERE BID = 2; }
  step "s2c"	{ COMMIT; }
